This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 848608 - [abrt] codeblocks-10.05-6.fc17: wxObject: Process /usr/bin/codeblocks was killed by signal 11 (SIGSEGV)
[abrt] codeblocks-10.05-6.fc17: wxObject: Process /usr/bin/codeblocks was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: codeblocks (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
abrt_hash:dc79d514267fd13712ec76a9276...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 21:29 EDT by Rafael Louback Ferraz
Modified: 2014-09-13 14:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:29:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.71 KB, text/plain)
2012-08-15 21:29 EDT, Rafael Louback Ferraz
no flags Details
File: maps (69.38 KB, text/plain)
2012-08-15 21:30 EDT, Rafael Louback Ferraz
no flags Details
File: dso_list (15.46 KB, text/plain)
2012-08-15 21:30 EDT, Rafael Louback Ferraz
no flags Details

  None (edit)
Description Rafael Louback Ferraz 2012-08-15 21:29:55 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        codeblocks
comment:        changing some build options
crash_function: wxObject
executable:     /usr/bin/codeblocks
kernel:         3.5.1-1.fc17.x86_64
pid:            2113
pwd:            /media/Windows/Users/Louback/Documents/Dropbox/UFOP/IC/RakNet/Client
remote_result:  NOTFOUND
time:           Qua 15 Ago 2012 22:18:52 BRT
uid:            1000
username:       louback
xsession_errors: 

backtrace:      Text file, 33492 bytes
dso_list:       Text file, 15831 bytes
maps:           Text file, 71041 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/louback/1

core_backtrace:
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe5f9b wxEvent::wxEvent(wxEvent libwx_baseu-2.8.so.0 -
:4e872bf0565d0ac7e1f5cb22d875115238cc0d91 0x20d983 CodeBlocksEvent::Clone() libcodeblocks.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6564 wxEvtHandler::AddPendingEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:4e872bf0565d0ac7e1f5cb22d875115238cc0d91 0x1c4977 PipedProcess::HasInput() libcodeblocks.so.0 -
:4e872bf0565d0ac7e1f5cb22d875115238cc0d91 0x1c4644 PipedProcess::OnTerminate(int, libcodeblocks.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xeba08 wxHandleProcessTermination(wxEndProcessData*) libwx_baseu-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x202f2f - libwx_gtk2u_core-2.8.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x25dce - libgdk-x11-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14ac57 gtk_main libgtk-x11-2.0.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x1f81d8 wxEventLoop::Run() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x26a30c wxAppBase::MainLoop() libwx_gtk2u_core-2.8.so.0 -
:2d815173c4f7471401f097683adaef0217b09168 0x30f6d - [exe] -
:1930c8cd9ca42879da095fd8b54478483f71d785 0x978e5 wxEntry(int&, libwx_baseu-2.8.so.0 -
:2d815173c4f7471401f097683adaef0217b09168 0x2f252 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=louback-pc
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QT_GRAPHICSSYSTEM_CHECKED=1
:'IMSETTINGS_MODULE=X compose table'
:USER=louback
:USERNAME=louback
:MAIL=/var/spool/mail/louback
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/louback/.local/bin:/home/louback/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/louback
:XMODIFIERS=@im=none
:LANG=pt_BR.utf8
:GDM_LANG=pt_BR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/louback
:SHLVL=1
:LOGNAME=louback
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-wLn9PzydWk,guid=6f09a7b9853471e49f1a915300000022
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/louback
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-louback-yGnte8/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/870,unix/unix:/tmp/.ICE-unix/870
:GNOME_KEYRING_CONTROL=/run/user/louback/keyring-mBKiL6
:GPG_AGENT_INFO=/run/user/louback/keyring-mBKiL6/gpg:0:1
:SSH_AUTH_SOCK=/run/user/louback/keyring-mBKiL6/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-codeblocks.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2113
:DESKTOP_STARTUP_ID=gnome-shell-1134-louback-pc-codeblocks-11_TIME14299507

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30389                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30389                30389                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/louback/.xsession-errors
:pos:	177897
:flags:	0102002
:2:/home/louback/.xsession-errors
:pos:	177897
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[2141517]
:pos:	0
:flags:	02004002
:5:socket:[2141545]
:pos:	0
:flags:	04002
:6:socket:[2139667]
:pos:	0
:flags:	02004002
:7:/tmp/Code::Blocks-louback
:pos:	5
:flags:	0100001
:8:anon_inode:inotify
:pos:	0
:flags:	02004000

smolt_data:
:
:
:Geral
:=================================
:UUID: ee923eba-0b98-4604-add5-03d69aa3ac2f
:SO: Fedora release 17 (Beefy Miracle)
:Nível de execução padrão: Unknown
:Idioma: pt_BR.utf8
:Plataforma: x86_64
:BogoMIPS: 4788.15
:Fabricante da CPU: GenuineIntel
:Modelo da CPU: Intel(R) Core(TM) i5 CPU       M 520  @ 2.40GHz
:Versão da CPU: 2
:Família da CPU: 6
:Modelo da CPU: 37
:Número de CPUs: 4
:Velocidade da CPU: 2395
:Memória do sistema: 3820
:Swap do sistema: 1023
:Fabricante: Dell Inc.
:Sistema: Vostro 3500 A10
:Fator de uso: Portable
:Kernel: 3.5.1-1.fc17.x86_64
:SELinux habilitado: 1
:Politica do SELinux: targeted
:Modo de reforço do SELinux: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4136:1089) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4136:1089) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4136:1089) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:4136:1089) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15115:4136:1089) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4136:1089) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:9288:4136:1089) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(5348:17235:4136:14) pci, bcma-pci-bridge, NETWORK, BCM43224 802.11a/b/g/n
:(32902:15164:4136:1089) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4136:1089) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4136:1089) pci, mei, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:15174:4136:1089) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:15170:4136:1089) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1089) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:4136:1089) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:4136:1089) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4318:3043:4136:1089) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2677:4136:1089) pci, nouveau, VIDEO, GT218 [GeForce 310M]
:(4332:33128:4136:1089) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:
:
:Informações do sistema de arquivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_louback--pc-lv_root / ext4 4096 4096 4652221 3109639 3062380 1187840 1012931 1012931
:/dev/sda1 WITHHELD fuseblk 4096 4096 25599 19410 19410 143176 143084 143084
:/dev/sda2 WITHHELD fuseblk 4096 4096 116950271 22034095 22034095 88529596 88195791 88195791
:/dev/sda3 /boot ext4 1024 1024 495844 446988 421388 128016 127663 127663
:

var_log_messages:
:Aug 15 22:09:25 louback-pc kernel: [13915.209883] codeblocks[32516]: segfault at 96000000fa ip 00000096000000fa sp 00007fff587b1578 error 14
:Aug 15 22:09:27 louback-pc abrt[2026]: Saved core dump of pid 32516 (/usr/bin/codeblocks) to /var/spool/abrt/ccpp-2012-08-15-22:09:25-32516 (188227584 bytes)
:Aug 15 22:18:52 louback-pc kernel: [14481.286489] codeblocks[2113]: segfault at 39dd45f530 ip 0000003f538e5f9b sp 00007fff5f589ff8 error 7 in libwx_baseu-2.8.so.0.8.0[3f53800000+142000]
:Aug 15 22:18:54 louback-pc abrt[2234]: Saved core dump of pid 2113 (/usr/bin/codeblocks) to /var/spool/abrt/ccpp-2012-08-15-22:18:52-2113 (189820928 bytes)
Comment 1 Rafael Louback Ferraz 2012-08-15 21:29:59 EDT
Created attachment 604737 [details]
File: backtrace
Comment 2 Rafael Louback Ferraz 2012-08-15 21:30:01 EDT
Created attachment 604738 [details]
File: maps
Comment 3 Rafael Louback Ferraz 2012-08-15 21:30:04 EDT
Created attachment 604739 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 17:56:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 19:29:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.